Summary: Set up hylafax for sending and receiving facsimiles.
%define name smeserver-hylafax
Name: %{name}
%define version 0.9
%define release 4
Version: %{version}
Release: %{release}%{?dist}
Vendor: http://www.hylafax.org/
License: GPL
URL: http://www.hylafax.org/
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Requires:  e-smith-release >= 7.1
Requires:  hylafax >= 4.3
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
HylaFAX is an enterprise-class system for sending and receiving facsimiles

%changelog
* Wed Feb 28 2007 Stephen Noble <stephen@dungog.net> 0.9-4
- rename to /var/spool/hylafax/mimetype/image/tiff
- touch /var/spool/hylafax/etc/xferfaxlog 

* Wed Feb 14 2007 Stephen Noble <stephen@dungog.net> 0.9-3
- FaxSender user added

* Sun Feb 11 2007 Stephen Noble <stephen@dungog.net> 0.9-2
- FaxNotify added, virtualdomains altered

* Sat Feb 10 2007 Stephen Noble <stephen@dungog.net> 0.9-1
- initial release

%prep
%setup

%build
perl createlinks

mkdir -p          root/etc/e-smith/db/configuration/defaults/hylafax
echo "service"  > root/etc/e-smith/db/configuration/defaults/hylafax/type
echo "enabled"  > root/etc/e-smith/db/configuration/defaults/hylafax/status
echo "ttyS0"    > root/etc/e-smith/db/configuration/defaults/hylafax/port

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     --file '/var/spool/hylafax/mimetype/application/pdf' 'attr(0755,root,root)' \
     --file '/var/spool/hylafax/mimetype/application/ps' 'attr(0755,root,root)' \
     --file '/var/spool/hylafax/mimetype/image/tiff' 'attr(0755,root,root)' \
     --file '/etc/hylafax/etc/mailfax' 'attr(0755,root,root)' \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun
%post
/sbin/e-smith/expand-template /etc/hylafax/hyla.conf
/sbin/e-smith/expand-template /etc/inittab
/bin/rm -f /etc/cron.daily/hylafax
/bin/touch /var/spool/hylafax/etc/xferfaxlog
echo "see http://wiki.contribs.org/HylaFax"

%postun
/sbin/e-smith/expand-template /etc/inittab
/sbin/init q

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
